cargo-features = ["codegen-backend"]

[[bin]]
name = "record"
path = "src/bin/record.rs"

[[bin]]
name = "main"
path = "src/bin/main.rs"

[package]
name = "nix-output"
version = "0.1.0"
edition = "2024"

[profile.dev]
codegen-backend = "cranelift"
opt-level = 0
[profile.dev.package."*"]
codegen-backend = "llvm"
opt-level = 3

[dependencies]
color-eyre = "0.6.5"
console = "0.16.1"
indicatif = "0.18.3"
owo-colors = "4.2.3"
serde = { version = "1.0.228", features = ["derive"] }
serde_json = { version = "1.0.145", features = ["raw_value"] }
serde_repr = "0.1.20"
